Subject: Re: bug#38585: Installation script fails to import gpg keys

From: zimoun <[email-masked]>
Date: Wed, 21 Oct 2020 15:09:54 +0200

Dear,

Thank you for the report.

On Thu, 12 Dec 2019 at 23:38, dalanicolai <[email-masked]> wrote:
> I try to install guix in Ubuntu using the installation script but it
> fails to import the gpg keys (see picture below) image.png

The mistake comes from that ’sudo’ is incorrectly located.  It had been
fixed to instead hint with:

--8<---------------cut here---------------start------------->8---
 wget https://sv.gnu.org/people/viewgpg.php?user_id=15145 -qO - | sudo -i gpg --import -
--8<---------------cut here---------------end--------------->8---

by commit 4089d7920fc5f27fefdde6b0fec17f3224e62377.

Closing!
simon